# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::DOMFunction Class Reference

Base class for all functions in this binding - get() and call() run tryGet() and tryCall() respectively, and catch exceptions if they occur. More...

`#include <kjs_binding.h>`

List of all members.

## Public Member Functions

| DOMFunction (ExecState *exec)
virtual Value | get (ExecState *exec, const Identifier &propertyName) const
virtual Value | tryGet (ExecState *exec, const Identifier &propertyName) const
virtual bool | implementsCall () const
virtual Value | call (ExecState *exec, Object &thisObj, const List &args)
virtual Value | tryCall (ExecState *exec, Object &thisObj, const List &args)
virtual bool | toBoolean (ExecState *) const

## Detailed Description

Base class for all functions in this binding - get() and call() run tryGet() and tryCall() respectively, and catch exceptions if they occur.

Definition at line 71 of file kjs_binding.h.

The documentation for this class was generated from the following files:

- kjs_binding.h
- kjs_binding.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003